Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions | Protected Member Functions
tlp::RenderingParametersDialog Class Reference

`#include <RenderingParametersDialog.h>`

Collaboration diagram for tlp::RenderingParametersDialog:
[legend]

List of all members.

## Public Slots

- void updateView ()
- void backColor ()
- void selectionColor ()
- void selectionSaveAtDefaultColor ()
- void setButtonColor (QColor tmp, QPushButton *button)
- void labelSizeChanged (int)
- void updateOrderingProperty (QString propertyName)
- void setInitViewOnSetGraph ()

## Signals

- void viewNeedDraw ()

## Public Member Functions

- RenderingParametersDialog (QWidget *parent=0)
- void setGlMainWidget (GlMainWidget *glWidget)

## Protected Member Functions

- void recreateOrderingPropertyCombobox (GlGraphRenderingParameters &param)
- void updateDensityLabels ()

## Constructor & Destructor Documentation

tlp::RenderingParametersDialog::RenderingParametersDialog | ( | QWidget * | parent = `0` | ) |

## Member Function Documentation

void tlp::RenderingParametersDialog::backColor | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::labelSizeChanged | ( | int |  | ) | `[slot]`

void tlp::RenderingParametersDialog::recreateOrderingPropertyCombobox | ( | GlGraphRenderingParameters & | param | ) | `[protected]`

void tlp::RenderingParametersDialog::selectionColor | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::selectionSaveAtDefaultColor | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::setButtonColor | ( | QColor | tmp,
|  | QPushButton * | button
| ) |  | `[slot]`

void tlp::RenderingParametersDialog::setGlMainWidget | ( | GlMainWidget * | glWidget | ) |

void tlp::RenderingParametersDialog::setInitViewOnSetGraph | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::updateDensityLabels | ( |  | ) | `[protected]`

void tlp::RenderingParametersDialog::updateOrderingProperty | ( | QString | propertyName | ) | `[slot]`

void tlp::RenderingParametersDialog::updateView | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::viewNeedDraw | ( |  | ) | `[signal]`

Tulip Software by LaBRI Visualization Team 2001 - 2012